@article{sarangi-2014-xilin-xapp1,
  author       = {Sarangi, Anirudha and Macmahon, Stephen and Cherukupaly, Upender},
  title	       = {Xilinx {{XAPP1026 Lightweight IP}} ({{lwIP}}) {{Application Examples}},
		  V5.1, {{Application Note}}},
  volume       = 1026,
  tags	       = {amd, xilinx},
  number       = 1,
  pages	       = 31,
  url	       = {www.xilinx.com},
  abstract     = {Lightweight IP (lwIP) is an open source TCP/IP networking stack for
		  embedded systems. The Xilinx® Software Development Kit (SDK) provides
		  lwIP software customized to run on various Xilinx embedded systems that
		  can be MicroBlaze™ or PowerPC® processor based. The Xilinx SDK provided
		  lwIP software can also be run on ARM®-based Xilinx Zynq®-7000 All
		  Programmable (AP) SoC. The information in this application note applies
		  to MicroBlaze processors and ARM-based Zynq-7000 AP SoC systems. This
		  document describes how to use the lwIP library to add networking
		  capability to an embedded system. In particular, lwIP is utilized to
		  develop these applications: echo server, web server, Trivial File
		  Transfer Protocol (TFTP) server, and receive and transmit throughput
		  tests. You can download the Reference Design Files for this application
		  note from the Xilinx website. For detailed information about the design
		  files, see Reference Design. The hardware and software requirements are:
		  \textbullet One of the Xilinx Artix®-7 AC701 or Kintex®-7 KC705 boards
		  for MicroBlaze processor-based systems and a ZC-702 board for Zynq-7000
		  AP SoC-based systems \textbullet Xilinx JTAG for MicroBlaze
		  processor-based and Zynq-7000 AP SoC-based systems \textbullet USB cable
		  for RS232 UART communication on the board \textbullet An Ethernet cable
		  connecting the board to a Windows or Linux host \textbullet Xilinx
		  Platform USB cable for MicroBlaze processor-based and Xilinx JTAG for
		  Zynq-7000 AP SoC-based systems \textbullet Serial Communications Utility
		  Program, such as HyperTerminal or Teraterm \textbullet Xilinx Vivado
		  2014.3 for creating hardware modifications for AC701, KC705, and ZC-702
		  \textbullet Xilinx SDK 2014.3 for running or creating hardware
		  modifications to the software for AC701, KC705, and ZC-702},
  date	       = 2014,
  file	       = {/sarangi-2014-xilin-xapp1.pdf},
  journaltitle = {Xapp1026},
  keywords     = {1026,application note,IP,MicroBlaze,PowerPC,Spartan,TCP,XAPP1026,Xilinx},
}

@manual{ug835-2402-tcl-comman,
  author       = {ug835},
  date	       = 2402,
  file	       = {/ug835-2402-tcl-comman.pdf},
  tags	       = {amd, xilinx},
  publisher    = {Amd},
  title	       = {Tcl Command Reference - Vivado Design Suite},
  url	       = {https://docs.amd.com/r/en-US/ug835-vivado-tcl-commands},
}

@manual{ug888-2402-desig-flows,
  author       = {ug888},
  date	       = 2402,
  file	       = {/ug888-2402-desig-flows.pdf},
  tags	       = {amd, xilinx},
  publisher    = {Amd},
  title	       = {Design Flows Overview - Vivado Design Suite Tutorial},
  url	       =
		  {https://docs.amd.com/r/en-US/ug888-vivado-design-flows-overview-tutorial},
}

@manual{ug892-2402-desig-flows,
  author       = {ug892},
  date	       = 2402,
  file	       = {/ug892-2402-desig-flows.pdf},
  tags	       = {amd, xilinx},
  publisher    = {Amd},
  title	       = {Design Flows Overview - Vivado Design Suite User Guide},
  url	       = {https://docs.amd.com/r/en-US/ug892-vivado-design-flows-overview},
}

@manual{ug894-2402-tcl-scrip,
  author       = {ug894},
  date	       = 2402,
  file	       = {/ug894-2402-tcl-scrip.pdf},
  tags	       = {amd, xilinx},
  publisher    = {Amd},
  title	       = {Tcl Scripting - Vivado Design Suite User Guide},
  url	       = {https://docs.amd.com/r/en-US/ug894-vivado-tcl-scripting},
}

@manual{ug895-2402-system-level,
  author       = {ug895},
  date	       = 2402,
  file	       = {/ug895-2402-system-level.pdf},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {System-Level Design Entry - Vivado Design Suite User Guide},
  url	       = {https://docs.amd.com/r/en-US/ug895-vivado-system-level-design-entry},
}

@manual{ug896-2402-desig-ip,
  author       = {ug896},
  date	       = 2402,
  file	       = {/ug896-2402-desig-ip.pdf},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Designing with IP - Vivado Design Suite User Guide},
  url	       = {https://docs.amd.com/r/en-US/ug896-vivado-ip},
}

@manual{ug901-2402-synth-vivad,
  author       = {ug901},
  date	       = 2402,
  file	       = {/ug901-2402-synth-vivad.pdf},
  tags	       = {amd, xilinx},
  publisher    = {Amd},
  title	       = {Synthesis - Vivado Design Suite User Guide},
  url	       = {https://docs.amd.com/r/en-US/ug901-vivado-synthesis},
}

@manual{ug903-2402-using-const,
  author       = {ug903},
  date	       = 2402,
  file	       = {/ug903-2402-using-const.pdf},
  tags	       = {amd, xilinx},
  publisher    = {Amd},
  title	       = {Using Constraints - Vivado Design Suite User Guide},
  url	       = {https://docs.amd.com/r/en-US/ug903-vivado-using-constraints},
}

@manual{ug904-2402-implem-vivad,
  author       = {ug904},
  date	       = 2402,
  file	       = {/ug904-2402-implem-vivad.pdf},
  tags	       = {amd, xilinx},
  publisher    = {Amd},
  title	       = {Implementation - Vivado Design Suite User Guide},
  url	       = {https://docs.amd.com/r/en-US/ug904-vivado-implementation},
}

@manual{ug906-2402-desig-analy,
  author       = {ug906},
  date	       = 2402,
  file	       = {/ug906-2402-desig-analy.pdf},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Design Analysis and Closure Techniques - Vivado Design Suite User Guide},
  url	       = {https://docs.amd.com/r/en-US/ug906-vivado-design-analysis},
}

@manual{ug908-2402-progr-debug,
  author       = {ug908},
  date	       = 2402,
  file	       = {/ug908-2402-progr-debug.pdf},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Programming and Debugging - Vivado Design Suite User Guide},
  url	       = {https://docs.amd.com/r/en-US/ug908-vivado-programming-debugging},
}

@manual{ug910-2402-gettin-start,
  author       = {ug910},
  date	       = 2402,
  file	       = {/ug910-2402-gettin-start.pdf},
  tags	       = {amd, xilinx},
  publisher    = {Amd},
  title	       = {Getting Started - Vivado Design Suite User Guide},
  url	       = {https://docs.amd.com/r/en-US/ug910-vivado-getting-started},
}

@manual{ug912-2402-proper-refer,
  author       = {ug912},
  date	       = 2402,
  file	       = {/ug912-2402-proper-refer.pdf},
  tags	       = {amd, xilinx},
  publisher    = {Amd},
  title	       = {Properties Reference Guide - Vivado Design Suite},
  url	       = {https://docs.amd.com/r/en-US/ug912-vivado-properties},
}

@manual{ug939-2402-desig-ip,
  author       = {ug939},
  date	       = 2402,
  file	       = {/ug939-2402-desig-ip.pdf},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Designing with IP - Vivado Design Suite Tutorial},
  url	       = {https://docs.amd.com/r/en-US/ug939-vivado-designing-with-ip-tutorial},
}

@manual{ug945-2402-using-const,
  author       = {ug945},
  date	       = 2402,
  file	       = {/ug945-2402-using-const.pdf},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Using Constraints - Vivado Design Suite Tutorial},
  url	       = {https://docs.amd.com/r/en-US/ug945-vivado-using-constraints-tutorial},
}

@manual{ug470-2023-7s-config-ug,
  author       = {ug470},
  date	       = {2023-12-5},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Configuration User Guide - 7 Series FPGAs},
  file	       = {/ug470-2023-7s-config-ug.pdf},
}

@manual{ug472-2018-7s-clock-resources,
  author       = {ug472},
  date	       = {2018-7-30},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Clocking Resources User Guide - 7 Series FPGAs},
  file	       = {/ug472-2018-7s-clock-resources.pdf},
}

@manual{ug474-2016-7s-config-logic,
  author       = {ug474},
  date	       = {2016-09-27},
  file	       = {/ug474-2016-7s-config-logic.pdf},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Configurable Logic Block User Guide - 7 Series FPGAs},
}

@manual{ug953-2016-7s-libraries-guide,
  author       = {ug953},
  date	       = {2016-09-27},
  file	       = {/ug953-2016-7s-libraries-guide.pdf},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Libraries Guide Configurable Logic Block User Guide - Vivado Design
		  Suite 7 Series FPGAs},
}

@Misc{xapp586-2020-using-spi,
  author       = {xapp586},
  date	       = {2020-08-20},
  file	       = {/xapp586-2020-using-spi.pdf},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Using SPI Flash with 7 Series FPGAs Application Note},
  url	       =
		  {https://docs.amd.com/r/en-US/xapp586-spi-flash/Using-SPI-Flash-with-7-Series-FPGAs-Application-Note-XAPP586},
}

@Misc{xapp424-2008-embed-jtag,
  author       = {xapp424},
  date	       = {2008-04-07},
  file	       = {/xapp424-2008-embed-jtag.pdf},
  publisher    = {Amd},
  tags	       = {amd, xilinx},
  title	       = {Embedded JTAG ACE player},
}
